package com.cn.fdapfe.biz.service;

import java.util.List;

import com.cn.fdapfe.biz.domain.Data;

/**
 * 数据管理Service接口
 * 
 * @author Allem
 * @date 2025-03-07
 */
public interface IDataService 
{
    /**
     * 查询数据管理
     * 
     * @param id 数据管理主键
     * @return 数据管理
     */
     Data selectDataById(String id);

    /**
     * 查询数据管理列表
     * 
     * @param data 数据管理
     * @return 数据管理集合
     */
     List<Data> selectDataList(Data data);

    /**
     * 新增数据管理
     * 
     * @param data 数据管理
     * @return 结果
     */
     int insertData(Data data);

    /**
     * 修改数据管理
     * 
     * @param data 数据管理
     * @return 结果
     */
     int updateData(Data data);

    /**
     * 批量删除数据管理
     * 
     * @param ids 需要删除的数据管理主键集合
     * @return 结果
     */
     int deleteDataByIds(String[] ids);


    List<Data> getOptions();

}
